<?php

namespace App\Server\Location;

abstract class LocationProvider
{
    protected $appKey;

    public function setKey(string $key)
    {
        $this->appKey = $key;
    }

    abstract public function getType();

    abstract public function addressToLocate();

    abstract public function locateToAddress(array $params);
}
